html {
  font-size: 62.5%;
}

body {
  --spacing-1: 4px;
  --spacing-2: 8px;
  --spacing-3: 16px;
  --spacing-4: 32px;
  --container-width: 600px;

  background-color: #e0e0e0;
  font-family: Arial, sans-serif;
  font-size: 1.5rem;
}

h1,
h2,
h3,
h4,
h5,
p,
ol,
ul,
li {
  margin: 0;
}

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

.test-mode {
  background-color: #fff3cd;
  border: 1px solid #ffeeba;
  border-radius: var(--spacing-1);
  color: #856404;
  margin: var(--spacing-4) auto;
  max-width: var(--container-width);
  padding: var(--spacing-2);
}

.container {
  background-color: white;
  border: 1px solid gray;
  border-radius: var(--spacing-1);
  box-shadow: 0 4px 16px 0 #a0a0a0;
  margin: var(--spacing-4) auto;
  padding: var(--spacing-3);
  max-width: var(--container-width);
}

.container > form,
.inputs {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-3);
}

.title {
  font-size: 2.4rem;
  text-align: center;
}

.introduction {
  text-align: center;
}

.inputs > div > label[for],
.inputs > fieldset > legend {
  display: block;
  font-weight: bold;
  margin-bottom: var(--spacing-1);
}

.inputs input[type="text"] {
  border: 1px solid #a0a0a0;
  border-radius: var(--spacing-1);
  display: block;
  padding: var(--spacing-1);
  width: 100%;
}

.inputs > div:has(input[type="text"]:required) > label::after,
.inputs > div:has(select:required) > label::after,
.inputs > fieldset:has(input[type="radio"]:required) > legend::after {
  color: red;
  content: "*";
  vertical-align: top;
}

.closing-datetime {
  border-top: 1px solid #a0a0a0;
  margin-left: auto;
  margin-right: auto;
  padding: var(--spacing-1);
  width: fit-content;
}

.submit {
  background-color: #ff6d5a;
  border: 0;
  border-radius: var(--spacing-1);
  color: #ffffff;
  cursor: pointer;
  display: block;
  font-weight: bold;
  padding: var(--spacing-3);
  width: 100%;
}

.submit:hover {
  background-color: #ff4e37;
}

fieldset.horizontal {
  display: flex;
  justify-content: space-between;
}

select {
  display: block;
  padding: var(--spacing-1);
  width: 100%;
}
